Draft a scheduled social post
curl --request POST \
--url https://api.motion.so/api/motion/social/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"scheduledAt": "2026-11-17T20:00:00Z",
"sourceChatId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78"
}
'import requests
url = "https://api.motion.so/api/motion/social/posts"
payload = {
"connectionId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"scheduledAt": "2026-11-17T20:00:00Z",
"sourceChatId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '4f20dcdd-f63b-4898-97d6-2e05c0d37c78',
scheduledAt: '2026-11-17T20:00:00Z',
sourceChatId: '4f20dcdd-f63b-4898-97d6-2e05c0d37c78'
})
};
fetch('https://api.motion.so/api/motion/social/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/social/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connectionId' => '4f20dcdd-f63b-4898-97d6-2e05c0d37c78',
'scheduledAt' => '2026-11-17T20:00:00Z',
'sourceChatId' => '4f20dcdd-f63b-4898-97d6-2e05c0d37c78'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/social/posts"
payload := strings.NewReader("{\n \"connectionId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"scheduledAt\": \"2026-11-17T20:00:00Z\",\n \"sourceChatId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.motion.so/api/motion/social/posts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"connectionId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"scheduledAt\": \"2026-11-17T20:00:00Z\",\n \"sourceChatId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/social/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"connectionId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"scheduledAt\": \"2026-11-17T20:00:00Z\",\n \"sourceChatId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\"\n}"
response = http.request(request)
puts response.read_body{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"connectionId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"revision": 3,
"status": "draft"
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Social posting
Draft a scheduled social post
Create a draft with uploaded media and a caption. This does not publish it; submit the draft for review.
POST
/
social
/
posts
Draft a scheduled social post
curl --request POST \
--url https://api.motion.so/api/motion/social/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"scheduledAt": "2026-11-17T20:00:00Z",
"sourceChatId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78"
}
'import requests
url = "https://api.motion.so/api/motion/social/posts"
payload = {
"connectionId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"scheduledAt": "2026-11-17T20:00:00Z",
"sourceChatId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '4f20dcdd-f63b-4898-97d6-2e05c0d37c78',
scheduledAt: '2026-11-17T20:00:00Z',
sourceChatId: '4f20dcdd-f63b-4898-97d6-2e05c0d37c78'
})
};
fetch('https://api.motion.so/api/motion/social/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/social/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connectionId' => '4f20dcdd-f63b-4898-97d6-2e05c0d37c78',
'scheduledAt' => '2026-11-17T20:00:00Z',
'sourceChatId' => '4f20dcdd-f63b-4898-97d6-2e05c0d37c78'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/social/posts"
payload := strings.NewReader("{\n \"connectionId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"scheduledAt\": \"2026-11-17T20:00:00Z\",\n \"sourceChatId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.motion.so/api/motion/social/posts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"connectionId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"scheduledAt\": \"2026-11-17T20:00:00Z\",\n \"sourceChatId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/social/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"connectionId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\",\n \"scheduledAt\": \"2026-11-17T20:00:00Z\",\n \"sourceChatId\": \"4f20dcdd-f63b-4898-97d6-2e05c0d37c78\"\n}"
response = http.request(request)
puts response.read_body{
"id": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"connectionId": "4f20dcdd-f63b-4898-97d6-2e05c0d37c78",
"revision": 3,
"status": "draft"
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Authorizations
MotionApiKeyMotionOAuth
Body
application/json
Response
Success
Future publication time as an ISO timestamp including its UTC offset.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Was this page helpful?